/*
 * backendid.h --
 *	POSTGRES backend id communication definitions
 *
 * Identification:
 *	/usr/local/devel/postgres-4.2-devel/src/backend/storage/RCS/backendid.h,v 1.1 1990/08/17 11:26:07 cimarron Exp
 */

#ifndef	BackendIdHincluded
#define BackendIdHincluded 1

/* ----------------
 *	pulled out of sinval.h to temporarily reduce #include nesting.
 *	-cim 8/17/90
 * ----------------
 */
typedef int16	BackendId;	/* unique currently active backend identifier */

#define InvalidBackendId	(-1)

typedef int32	BackendTag;	/* unique backend identifier */

#define InvalidBackendTag	(-1)

extern BackendId	MyBackendId;	/* backend id of this backend */
extern BackendTag	MyBackendTag;	/* backend tag of this backend */

#endif BackendIdHincluded
