.\" This is -*-nroff-*-
.\" XXX standard disclaimer belongs here....
.\" /usr/local/devel/postgres-4.2-devel/src/ref/RCS/tmac.an.nr,v 1.2 1993/08/17 21:39:54 aoki Exp
.ds II INGRES
.ds PG POSTGRES
.ds UU UNIX
.ds PQ POSTQUEL
.ds LI LIBPQ
.ds PV 4.2
.de (l 			\" fake "-me"-style lists
.nf
.ie '\\$1'M' .in +0n
.el .in +5n
..
.de )l
.fi
.in
..
.de (C			\" constant-width font blocks
.(l \\$1
.sp
..
.de )C
.sp
.)l
..
.de BH			\" reference manual "big header" for sections
.SH NAME
\&\\$1
..
.de SB			\" section/index stuff
..	\" no-op
.de SE
..	\" no-op
.de XA
..	\" no-op
.de XP
..	\" no-op
.de SP
..
.ds lq ""
.ds rq ""
.\" This is -*-nroff-*-
.\" XXX standard disclaimer belongs here....
.\" /usr/local/devel/postgres-4.2-devel/src/ref/postquel/RCS/remove_function.cmdsrc,v 1.10 1994/03/12 11:10:27 aoki Exp
.TH "REMOVE FUNCTION" COMMANDS 03/12/94
.XA 2 "Remove Function"
.SH NAME
remove function \(em remove a user-defined C function 
.SH SYNOPSIS
.(l M
\fBremove function \fRfunction_name ( \fP[ type-1  { \fB,\fP type-n } ] \fB) 
.)l
.SH DESCRIPTION
.BR "Remove function"
will remove references to an existing C function.  To execute this
command the user must be the owner of the function.  The input
argument types to the function must be specified, as only the
function with the given name and argument types will be removed.
.SH EXAMPLE
.(C
/*
 * this command removes the square root function
 */
remove function sqrt(int4)
.)C
.SH "SEE ALSO"
define function(commands).
.SH BUGS
No checks are made to ensure that types, operators or access methods
that rely on the function have been removed first.
