/*
 *  smgr.h -- storage manager switch public interface declarations.
 *
 *	/usr/local/devel/postgres-4.2-devel/src/backend/storage/RCS/smgr.h,v 1.3 1992/07/04 03:50:59 mao Exp
 */

#ifndef _SMGR_H_

#define SM_FAIL		0
#define	SM_SUCCESS	1

#define	DEFAULT_SMGR	0

extern int	smgrinit();
extern void	smgrshutdown();
extern int	smgrcreate();
extern int	smgrunlink();
extern int	smgrextend();
extern int	smgropen();
extern int	smgrclose();
extern int	smgrread();
extern int	smgrwrite();
extern int	smgrflush();
extern int	smgrblindwrt();
extern int	smgrnblocks();
extern int	smgrcommit();
extern int	smgrabort();
extern bool	smgriswo();

#endif /* ndef _SMGR_H_ */
