.\" This is -*-nroff-*-
.\" XXX standard disclaimer belongs here....
.\" /usr/local/devel/postgres-4.2-devel/src/ref/RCS/tmac.an.nr,v 1.2 1993/08/17 21:39:54 aoki Exp
.ds II INGRES
.ds PG POSTGRES
.ds UU UNIX
.ds PQ POSTQUEL
.ds LI LIBPQ
.ds PV 4.2
.de (l 			\" fake "-me"-style lists
.nf
.ie '\\$1'M' .in +0n
.el .in +5n
..
.de )l
.fi
.in
..
.de (C			\" constant-width font blocks
.(l \\$1
.sp
..
.de )C
.sp
.)l
..
.de BH			\" reference manual "big header" for sections
.SH NAME
\&\\$1
..
.de SB			\" section/index stuff
..	\" no-op
.de SE
..	\" no-op
.de XA
..	\" no-op
.de XP
..	\" no-op
.de SP
..
.ds lq ""
.ds rq ""
.\" This is -*-nroff-*-
.\" XXX standard disclaimer belongs here....
.\" /usr/local/devel/postgres-4.2-devel/src/ref/postquel/RCS/begin.cmdsrc,v 1.7 1993/01/26 02:43:13 aoki Exp
.TH BEGIN COMMANDS 01/23/93
.XA 2 Begin
.SH NAME
begin \(em begins a transaction
.SH SYNOPSIS
.(l M
\fBbegin\fP
.)l
.SH DESCRIPTION
This command begins a user transaction which \*(PG will guarantee is
serializable with respect to all concurrently executing transactions.
\*(PG uses two-phase locking to perform this task.  If the transaction
is committed, \*(PG will ensure that all updates are done or none of
them are done.  Transactions have the standard ACID (atomic,
consistent, isolatable, and durable) property.
.SH "SEE ALSO"
abort(commands),
end(commands).
