.\" This is -*-nroff-*-
.\" XXX standard disclaimer belongs here....
.\" /usr/local/devel/postgres-4.2-devel/src/ref/RCS/tmac.an.nr,v 1.2 1993/08/17 21:39:54 aoki Exp
.ds II INGRES
.ds PG POSTGRES
.ds UU UNIX
.ds PQ POSTQUEL
.ds LI LIBPQ
.ds PV 4.2
.de (l 			\" fake "-me"-style lists
.nf
.ie '\\$1'M' .in +0n
.el .in +5n
..
.de )l
.fi
.in
..
.de (C			\" constant-width font blocks
.(l \\$1
.sp
..
.de )C
.sp
.)l
..
.de BH			\" reference manual "big header" for sections
.SH NAME
\&\\$1
..
.de SB			\" section/index stuff
..	\" no-op
.de SE
..	\" no-op
.de XA
..	\" no-op
.de XP
..	\" no-op
.de SP
..
.ds lq ""
.ds rq ""
.\" This is -*-nroff-*-
.\" XXX standard disclaimer belongs here....
.\" /usr/local/devel/postgres-4.2-devel/src/ref/postquel/RCS/close.cmdsrc,v 1.4 1993/01/26 02:43:13 aoki Exp
.TH CLOSE COMMANDS 01/23/93
.XA 2 Close
.SH NAME
close \(em close a portal
.SH SYNOPSIS
.(l M
\fBclose\fP [ portal_name ]
.)l
.SH DESCRIPTION
.BR Close
frees the resources associated with a portal,
.IR portal_name.
After this portal is closed, no subsequent operations are allowed on
it.  A portal should be closed when it is no longer needed.  If
.IR portal_name
is not specified, then the blank portal is closed.
.SH EXAMPLE
.(C
/*
 * close the portal FOO
 */
close FOO
.)C
.SH "SEE ALSO"
fetch(commands),
move(commands),
retrieve(commands).
