.\" This is -*-nroff-*-
.\" XXX standard disclaimer belongs here....
.\" /usr/local/devel/postgres-4.2-devel/src/ref/RCS/tmac.an.nr,v 1.2 1993/08/17 21:39:54 aoki Exp
.ds II INGRES
.ds PG POSTGRES
.ds UU UNIX
.ds PQ POSTQUEL
.ds LI LIBPQ
.ds PV 4.2
.de (l 			\" fake "-me"-style lists
.nf
.ie '\\$1'M' .in +0n
.el .in +5n
..
.de )l
.fi
.in
..
.de (C			\" constant-width font blocks
.(l \\$1
.sp
..
.de )C
.sp
.)l
..
.de BH			\" reference manual "big header" for sections
.SH NAME
\&\\$1
..
.de SB			\" section/index stuff
..	\" no-op
.de SE
..	\" no-op
.de XA
..	\" no-op
.de XP
..	\" no-op
.de SP
..
.ds lq ""
.ds rq ""
.\" This is -*-nroff-*-
.\" XXX standard disclaimer belongs here....
.\" /usr/local/devel/postgres-4.2-devel/src/ref/postquel/RCS/extend_index.cmdsrc,v 1.3 1994/03/12 11:02:28 aoki Exp
.TH "EXTEND INDEX" COMMANDS 02/13/94
.XA 2 "Extend Index"
.SH NAME
extend index \(em extend a partial secondary index
.SH SYNOPSIS
.(l M
\fBextend\fR \fBindex\fR index-name [\fBwhere\fR qual]
.)l
.SH DESCRIPTION
This command extends the existing partial index called
.IR index-name.
.PP
If a
.IR qual
is given, the index will be extended to cover all instances that satisfy
the predicate specified by
.IR qual
(in addition to the instances the index already covers).  If no
.IR qual
is given, the index will be extended to be a complete index.
Note that the predicate may only refer to attributes
of the class on which the specified partial index was defined
(see 
.IR "define index" (commands)).
.SH EXAMPLE
.(C
/*
 * Extend a partial index on employee salaries to include 
 * all employees over 40
 */
extend index empsal where emp.age > 39
.)C
.SH "SEE ALSO"
define index(commands),
remove index(commands).
