.\" This is -*-nroff-*-
.\" XXX standard disclaimer belongs here....
.\" /usr/local/devel/postgres-4.2-devel/src/ref/RCS/tmac.an.nr,v 1.2 1993/08/17 21:39:54 aoki Exp
.ds II INGRES
.ds PG POSTGRES
.ds UU UNIX
.ds PQ POSTQUEL
.ds LI LIBPQ
.ds PV 4.2
.de (l 			\" fake "-me"-style lists
.nf
.ie '\\$1'M' .in +0n
.el .in +5n
..
.de )l
.fi
.in
..
.de (C			\" constant-width font blocks
.(l \\$1
.sp
..
.de )C
.sp
.)l
..
.de BH			\" reference manual "big header" for sections
.SH NAME
\&\\$1
..
.de SB			\" section/index stuff
..	\" no-op
.de SE
..	\" no-op
.de XA
..	\" no-op
.de XP
..	\" no-op
.de SP
..
.ds lq ""
.ds rq ""
.\" This is -*-nroff-*-
.\" XXX standard disclaimer belongs here....
.\" /usr/local/devel/postgres-4.2-devel/src/ref/postquel/RCS/remove_aggregate.cmdsrc,v 1.6 1993/01/26 02:43:13 aoki Exp
.TH "REMOVE AGGREGATE" COMMANDS 01/23/93
.XA 2 "Remove Aggregate"
.SH NAME
remove aggregate \(em remove the definition of an aggregate
.SH SYNOPSIS
.(l M
\fBremove aggregate\fR aggname
.)l
.SH DESCRIPTION
.BR "Remove aggregate"
will remove all reference to an existing aggregate definition.  To
execute this command the current user must be the the owner of the
aggregate.
.SH EXAMPLE
.(C
/*
 * Remove the average aggregate
 */
remove aggregate avg
.)C
.SH "SEE ALSO"
define aggregate(commands).
