.\" This is -*-nroff-*-
.\" XXX standard disclaimer belongs here....
.\" /usr/local/devel/postgres-4.2-devel/src/ref/RCS/tmac.an.nr,v 1.2 1993/08/17 21:39:54 aoki Exp
.ds II INGRES
.ds PG POSTGRES
.ds UU UNIX
.ds PQ POSTQUEL
.ds LI LIBPQ
.ds PV 4.2
.de (l 			\" fake "-me"-style lists
.nf
.ie '\\$1'M' .in +0n
.el .in +5n
..
.de )l
.fi
.in
..
.de (C			\" constant-width font blocks
.(l \\$1
.sp
..
.de )C
.sp
.)l
..
.de BH			\" reference manual "big header" for sections
.SH NAME
\&\\$1
..
.de SB			\" section/index stuff
..	\" no-op
.de SE
..	\" no-op
.de XA
..	\" no-op
.de XP
..	\" no-op
.de SP
..
.ds lq ""
.ds rq ""
.\" This is -*-nroff-*-
.\" XXX standard disclaimer belongs here....
.\" /usr/local/devel/postgres-4.2-devel/src/ref/postquel/RCS/remove_index.cmdsrc,v 1.4 1994/03/12 11:11:02 aoki Exp
.TH "REMOVE INDEX" COMMANDS 03/12/94
.XA 2 "Remove Index"
.SH NAME
remove index \(em removes an index from \*(PG
.SH SYNOPSIS
.(l M
\fBremove index\fR index_name
.)l
.SH DESCRIPTION
This command drops an existing index from the \*(PG system.  To
execute this command you must be the owner of the index.
.SH EXAMPLE
.(C
/*
 * this command will remove the "emp_index" index
 */
remove index emp_index
.)C
.SH "SEE ALSO"
define index(commands).
