.\" This is -*-nroff-*-
.\" XXX standard disclaimer belongs here....
.\" /usr/local/devel/postgres-4.2-devel/src/ref/RCS/tmac.an.nr,v 1.2 1993/08/17 21:39:54 aoki Exp
.ds II INGRES
.ds PG POSTGRES
.ds UU UNIX
.ds PQ POSTQUEL
.ds LI LIBPQ
.ds PV 4.2
.de (l 			\" fake "-me"-style lists
.nf
.ie '\\$1'M' .in +0n
.el .in +5n
..
.de )l
.fi
.in
..
.de (C			\" constant-width font blocks
.(l \\$1
.sp
..
.de )C
.sp
.)l
..
.de BH			\" reference manual "big header" for sections
.SH NAME
\&\\$1
..
.de SB			\" section/index stuff
..	\" no-op
.de SE
..	\" no-op
.de XA
..	\" no-op
.de XP
..	\" no-op
.de SP
..
.ds lq ""
.ds rq ""
.\" This is -*-nroff-*-
.\" XXX standard disclaimer belongs here....
.\" /usr/local/devel/postgres-4.2-devel/src/ref/postquel/RCS/remove_type.cmdsrc,v 1.5 1993/01/26 02:43:13 aoki Exp
.TH "REMOVE TYPE" COMMANDS 01/23/93
.XA 2 "Remove Type"
.SH NAME
remove type \(em remove a user-defined type from the system catalogs
.SH SYNOPSIS
.(l M
\fBremove type\fR typename
.)l
.SH DESCRIPTION
This command removes a user type from the system catalogs.  Only the
owner of a type can remove it.
.PP
It is the user's responsibility to remove any operators, functions,
aggregates, access methods, sub-types, classes, etc. that use a
deleted type.
.SH EXAMPLE
.(C
/*
 * remove the box type
 */
remove type box
.)C
.SH "SEE ALSO"
introduction(commands),
define type(commands),
remove operator(commands).
.SH "BUGS"
It is still possible to remove built-in types.
