#!/bin/sh
# /usr/local/devel/postgres-4.2-devel/src/regress/bench/RCS/create.sh,v 1.8 1993/01/09 01:22:22 aoki Exp
# 
if [ -d ./obj ]; then
	cd ./obj
fi

echo =============== destroying old bench database... =================
echo "destroydb bench" | postgres template1 > /dev/null

echo =============== creating new bench database... =================
echo "createdb bench" | postgres template1 > /dev/null
if [ $? -ne 0 ]; then
	echo createdb failed
	exit 1
fi

postgres -Q bench < create.pq > /dev/null
if [ $? -ne 0 ]; then
	echo initial database load failed
	exit 1
fi

exit 0
